> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List BYOK connection status for every provider



## OpenAPI

````yaml /openapi/provider-credentials.json get /provider-credentials
openapi: 3.1.1
info:
  title: ARTU Compliance API
  version: 1.0.0
  description: 'API for compliance management. Documentation: https://docs.artu.ai'
servers:
  - url: https://api.artu.ai
security:
  - bearerAuth: []
    environmentHeader: []
paths:
  /provider-credentials:
    get:
      tags:
        - Provider Credentials
      summary: List BYOK connection status for every provider
      operationId: providerCredentials.list
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  anyOf:
                    - type: object
                      properties:
                        providerId:
                          enum:
                            - qeq
                            - nufi
                          type: string
                        connected:
                          const: true
                        config:
                          type: object
                          propertyNames:
                            type: string
                          additionalProperties:
                            type: string
                        secretHint:
                          type: string
                          minLength: 1
                        updatedAt:
                          type: string
                          format: date-time
                      required:
                        - providerId
                        - connected
                        - config
                        - secretHint
                        - updatedAt
                      additionalProperties: false
                    - type: object
                      properties:
                        providerId:
                          enum:
                            - qeq
                            - nufi
                          type: string
                        connected:
                          const: false
                      required:
                        - providerId
                        - connected
                      additionalProperties: false
                  description: >-
                    A provider's BYOK connection status, connected or not
                    connected.
                readOnly: true
                description: BYOK connection status for every spec'd provider.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API key authentication. Obtain your API key from the dashboard.
    environmentHeader:
      type: apiKey
      in: header
      name: X-Environment
      description: Target environment for the request. Must be "test" or "live".

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.